Package de.willuhn.jameica.hbci.synchronize

# Class AbstractSynchronizeBackend.Worker

java.lang.Object
de.willuhn.jameica.hbci.synchronize.AbstractSynchronizeBackend.Worker

All Implemented Interfaces:
  `de.willuhn.jameica.system.BackgroundTask`

Enclosing class:
  `AbstractSynchronizeBackend<T extends SynchronizeJobProvider>`

protected class AbstractSynchronizeBackend.Worker extends Object implements de.willuhn.jameica.system.BackgroundTask
Implementierung des eigentlichen Worker-Threads.

## Method Summary

Modifier and Type
Method
Description
`final AbstractSynchronizeBackend<T>.JobGroup`
`getCurrentJobGroup()`
Liefert die gerade in Arbeit befindliche Job-Gruppe.
`final de.willuhn.util.ProgressMonitor`
`getMonitor()`
Liefert den ProgressMonitor.
`AbstractSynchronizeBackend<T>.Synchronization`
`getSynchronization()`
Liefert die gesamte Synchronisierung.
`final void`
`interrupt()`
`final boolean`
`isInterrupted()`
`final void`
`run(de.willuhn.util.ProgressMonitor monitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getMonitor

public final de.willuhn.util.ProgressMonitor getMonitor()
Liefert den ProgressMonitor.

Returns:
  der ProgressMonitor.

### getCurrentJobGroup

public final AbstractSynchronizeBackend<T>.JobGroup getCurrentJobGroup()
Liefert die gerade in Arbeit befindliche Job-Gruppe.

Returns:
  die gerade in Arbeit befindliche Job-Gruppe.

### getSynchronization

public AbstractSynchronizeBackend<T>.Synchronization getSynchronization()
Liefert die gesamte Synchronisierung.

Returns:
  die gesamte Synchronisierung.

### run

public final void run(de.willuhn.util.ProgressMonitor monitor) throws de.willuhn.util.ApplicationException

Specified by:
  `run` in interface `de.willuhn.jameica.system.BackgroundTask`
Throws:
  `de.willuhn.util.ApplicationException`

### interrupt

public final void interrupt()

Specified by:
  `interrupt` in interface `de.willuhn.jameica.system.BackgroundTask`

### isInterrupted

public final boolean isInterrupted()

Specified by:
  `isInterrupted` in interface `de.willuhn.jameica.system.BackgroundTask`